Public Attributes | List of all members
__attribute__ Struct Reference
BLE Services » Continuous Glucose Monitoring Service (CGMS) » Structures

`#include <cgms.h>`

## Public Attributes
uint16_t | time_offset
uint8_t | status
uint8_t | cal_temp
uint8_t | warning
uint16_t | year
uint8_t | month
uint8_t | day
uint8_t | hour
uint8_t | min
uint8_t | sec
int8_t | time_zone
uint8_t | dst_offset
int16_t | concentration
uint16_t | since_start_time_minutes
uint8_t | meas_type: 4
uint8_t | meas_loc: 4
uint16_t | next_cal_time_minutes
uint16_t | cal_data_record_num
uint8_t | cal_status
uint32_t | isp_uart_bypass: 1
uint32_t | isp_usb_bypass: 1
uint32_t | isp_jlink_bypass: 1
uint32_t | enc_boot_system_clk: 3
uint32_t | enc_boot_flash_clk: 3
uint32_t | enc_boot_xip_read_cmd: 8
uint32_t | memory_power_size: 2
uint32_t | reserved: 13
uint16_t | swd_disable
uint16_t | enc_mode
uint32_t | crc32
uint8_t | chip_id [EFUSE_CHIP_ID_SIZE]
uint8_t | product_id [EFUSE_PRODUCT_ID_SIZE]
uint8_t | fw_public_key_hash [FW_PUBLIC_KEY_HASH_SIZE]
uint8_t | root_public_key_hash [ROOT_PUBLIC_KEY_HASH_SIZE]
uint8_t | ecc_key [ECC_KEY_SIZE]
uint8_t | fw_key [FW_KEY_SIZE]
uint8_t | hmac_key [HMAC_KEY_SIZE]
uint8_t | data_key [DATA_KEY_SIZE]
uint8_t | user_section [32]
efuse_trim1_t | efuse_trim1
efuse_ctrl_section_t | backup_ctrl_section
efuse_key_section_t | backup_key_section
efuse_trim0_t | efuse_trim0
efuse_ctrl_section_t | main_ctrl_section
efuse_key_section_t | main_key_section

## Detailed Description

Definition at line 254 of file cgms.h.

## Member Data Documentation

## ◆ backup_ctrl_section

efuse_ctrl_section_t __attribute__::backup_ctrl_section

Definition at line 128 of file gr55xx_efuse_layout.h.

## ◆ backup_key_section

efuse_key_section_t __attribute__::backup_key_section

Definition at line 129 of file gr55xx_efuse_layout.h.

## ◆ cal_data_record_num

uint16_t __attribute__::cal_data_record_num

Definition at line 281 of file cgms.h.

## ◆ cal_status

uint8_t __attribute__::cal_status

Definition at line 282 of file cgms.h.

## ◆ cal_temp

uint8_t __attribute__::cal_temp

Definition at line 258 of file cgms.h.

## ◆ chip_id

uint8_t __attribute__::chip_id[EFUSE_CHIP_ID_SIZE]

Definition at line 112 of file gr55xx_efuse_layout.h.

## ◆ concentration

int16_t __attribute__::concentration

Definition at line 276 of file cgms.h.

## ◆ crc32

uint32_t __attribute__::crc32

Definition at line 110 of file gr55xx_efuse_layout.h.

## ◆ data_key

uint8_t __attribute__::data_key[DATA_KEY_SIZE]

Definition at line 122 of file gr55xx_efuse_layout.h.

## ◆ day

uint8_t __attribute__::day

day time element.

Definition at line 266 of file cgms.h.

## ◆ dst_offset

uint8_t __attribute__::dst_offset

Definition at line 271 of file cgms.h.

## ◆ ecc_key

uint8_t __attribute__::ecc_key[ECC_KEY_SIZE]

Definition at line 119 of file gr55xx_efuse_layout.h.

## ◆ efuse_trim0

efuse_trim0_t __attribute__::efuse_trim0

Definition at line 130 of file gr55xx_efuse_layout.h.

## ◆ efuse_trim1

efuse_trim1_t __attribute__::efuse_trim1

Definition at line 127 of file gr55xx_efuse_layout.h.

## ◆ enc_boot_flash_clk

uint32_t __attribute__::enc_boot_flash_clk

Definition at line 103 of file gr55xx_efuse_layout.h.

## ◆ enc_boot_system_clk

uint32_t __attribute__::enc_boot_system_clk

Definition at line 102 of file gr55xx_efuse_layout.h.

## ◆ enc_boot_xip_read_cmd

uint32_t __attribute__::enc_boot_xip_read_cmd

Definition at line 104 of file gr55xx_efuse_layout.h.

## ◆ enc_mode

uint16_t __attribute__::enc_mode

Definition at line 109 of file gr55xx_efuse_layout.h.

## ◆ fw_key

uint8_t __attribute__::fw_key[FW_KEY_SIZE]

Definition at line 120 of file gr55xx_efuse_layout.h.

## ◆ fw_public_key_hash

uint8_t __attribute__::fw_public_key_hash[FW_PUBLIC_KEY_HASH_SIZE]

Definition at line 114 of file gr55xx_efuse_layout.h.

## ◆ hmac_key

uint8_t __attribute__::hmac_key[HMAC_KEY_SIZE]

Definition at line 121 of file gr55xx_efuse_layout.h.

## ◆ hour

uint8_t __attribute__::hour

hour time element.

Definition at line 267 of file cgms.h.

## ◆ isp_jlink_bypass

uint32_t __attribute__::isp_jlink_bypass

Definition at line 101 of file gr55xx_efuse_layout.h.

## ◆ isp_uart_bypass

uint32_t __attribute__::isp_uart_bypass

Definition at line 99 of file gr55xx_efuse_layout.h.

## ◆ isp_usb_bypass

uint32_t __attribute__::isp_usb_bypass

Definition at line 100 of file gr55xx_efuse_layout.h.

## ◆ main_ctrl_section

efuse_ctrl_section_t __attribute__::main_ctrl_section

Definition at line 131 of file gr55xx_efuse_layout.h.

## ◆ main_key_section

efuse_key_section_t __attribute__::main_key_section

Definition at line 132 of file gr55xx_efuse_layout.h.

## ◆ meas_loc

uint8_t __attribute__::meas_loc

Definition at line 279 of file cgms.h.

## ◆ meas_type

uint8_t __attribute__::meas_type

Definition at line 278 of file cgms.h.

## ◆ memory_power_size

uint32_t __attribute__::memory_power_size

Definition at line 105 of file gr55xx_efuse_layout.h.

## ◆ min

uint8_t __attribute__::min

minute time element.

Definition at line 268 of file cgms.h.

## ◆ month

uint8_t __attribute__::month

month time element.

Definition at line 265 of file cgms.h.

## ◆ next_cal_time_minutes

uint16_t __attribute__::next_cal_time_minutes

Definition at line 280 of file cgms.h.

## ◆ product_id

uint8_t __attribute__::product_id[EFUSE_PRODUCT_ID_SIZE]

Definition at line 113 of file gr55xx_efuse_layout.h.

## ◆ reserved

uint32_t __attribute__::reserved

Definition at line 106 of file gr55xx_efuse_layout.h.

## ◆ root_public_key_hash

uint8_t __attribute__::root_public_key_hash[ROOT_PUBLIC_KEY_HASH_SIZE]

Definition at line 115 of file gr55xx_efuse_layout.h.

## ◆ sec

uint8_t __attribute__::sec

second time element.

Definition at line 269 of file cgms.h.

## ◆ since_start_time_minutes

uint16_t __attribute__::since_start_time_minutes

Definition at line 277 of file cgms.h.

## ◆ status

uint8_t __attribute__::status

Definition at line 257 of file cgms.h.

## ◆ swd_disable

uint16_t __attribute__::swd_disable

Definition at line 108 of file gr55xx_efuse_layout.h.

## ◆ time_offset

uint16_t __attribute__::time_offset

Definition at line 256 of file cgms.h.

## ◆ time_zone

int8_t __attribute__::time_zone

Definition at line 270 of file cgms.h.

## ◆ user_section

uint8_t __attribute__::user_section[32]

Definition at line 126 of file gr55xx_efuse_layout.h.

## ◆ warning

uint8_t __attribute__::warning

Definition at line 259 of file cgms.h.

## ◆ year

uint16_t __attribute__::year

year time element.

Definition at line 264 of file cgms.h.

The documentation for this struct was generated from the following files:

- cgms.h
- gr55xx_efuse_layout.h